Dependencies of Magritte 3

Next Topic
 
classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Dependencies of Magritte 3

CyrilFerlicot
Hi,

I have projects depending on Magritte3, Seaside and Grease. I am
currently updating the dependencies to use the official current
repository of Seaside and Grease that is now on Github and not on Sthub
anymore.

I currently have a problem because Magritte3 dependencies reference the
Sthub version and not the github one. This creates conflicts.

I am wondering if Magritte3 should not have a new version using the new
repositories when they still are close. In that case what should be the
release? 3.5.3? 3.6.0?

--
Cyril Ferlicot
https://ferlicot.fr


_______________________________________________
Magritte, Pier and Related Tools ...
https://www.list.inf.unibe.ch/listinfo/smallwiki

signature.asc (836 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Dependencies of Magritte 3

Stephan Eggermont-3
Cyril Ferlicot D. <[hidden email]> wrote:

> Hi,
>
> I have projects depending on Magritte3, Seaside and Grease. I am
> currently updating the dependencies to use the official current
> repository of Seaside and Grease that is now on Github and not on Sthub
> anymore.
>
> I currently have a problem because Magritte3 dependencies reference the
> Sthub version and not the github one. This creates conflicts.
>
> I am wondering if Magritte3 should not have a new version using the new
> repositories when they still are close. In that case what should be the
> release? 3.5.3? 3.6.0?
>

If there are no breaking changes, just repo, probably 3.5.3. Sean, do you
have something for a 3.6.0?

Stephan


_______________________________________________
Magritte, Pier and Related Tools ...
https://www.list.inf.unibe.ch/listinfo/smallwiki
Reply | Threaded
Open this post in threaded view
|

Re: Dependencies of Magritte 3

Sean P. DeNigris
Administrator
Stephan Eggermont-3 wrote
>> I currently have a problem because Magritte3 dependencies reference the
>> Sthub version and not the github one. This creates conflicts.

StHub version of what? Magritte or Seaside/Grease?


Stephan Eggermont-3 wrote
> Sean, do you have something for a 3.6.0?

IOW are you asking if there are any non-breaking enhancements that can be
ported back? If so, the reason I didn't just port /everything/ back is that
it seemed Magritte was supported on non-Pharo platforms, but a) I do not
know exactly which platforms must be maintained and b) I do not have the
bandwidth to ensure this is the case.



-----
Cheers,
Sean
--
Sent from: http://forum.world.st/Magritte-Pier-and-Related-Tools-f115649.html
_______________________________________________
Magritte, Pier and Related Tools ...
https://www.list.inf.unibe.ch/listinfo/smallwiki
Cheers,
Sean